Home Information Classes Download Usage Mail List Requirements Links Tutorial

# JetTabl Class Reference

STK jet table class. More...

`#include <JetTabl.h>`

Inheritance diagram for JetTabl:

List of all members.

## Public Member Functions

| JetTabl ()
| Default constructor.
| ~JetTabl ()
| Class destructor.
MY_FLOAT | lastOut () const
| Return the last output value.
MY_FLOAT | tick (MY_FLOAT input)
| Return the function value for input.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Take vectorSize inputs and return the corresponding function values in vector.

## Detailed Description

STK jet table class.

This class implements a flue jet non-linear function, computed by a polynomial calculation. Contrary to the name, this is not a "table".

Consult Fletcher and Rossing, Karjalainen, Cook, and others for more information.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 21 of file JetTabl.h.

The documentation for this class was generated from the following file:

- JetTabl.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.